- Qt 6.11
- Qt Core
- CMake Commands in Qt6 Core
- qt_add_android_dynamic_feature_java_source_dirs
- Qt 6.11.2 Reference Documentation

# qt_add_android_dynamic_feature_java_source_dirs

Adds Java source directories to a dynamic feature build.

The command is defined in the `Core` component of the `Qt6` package, which can be loaded like so:

     find_package(Qt6 REQUIRED COMPONENTS Core)

This command was introduced in Qt 6.11.

## Synopsis

     qt_add_android_dynamic_feature_java_source_dirs(target [SOURCE_DIRS <directory1> <directory2> ...])

If versionless commands are disabled, use `qt6_add_android_dynamic_feature_java_source_dirs()` instead. It supports the same set of arguments as this command.

## Description

The command adds extra Java/Kotlin source directories to the `target` executable when building the executable app with dynamic feature functionality. To be used in conjunction with qt6_add_android_dynamic_features().